package com.muyu.data.processing.service.impl;


import javax.annotation.Resource;

import com.muyu.data.processing.domain.IotDbData;
import com.muyu.data.processing.domain.KafkaData;
import com.muyu.data.processing.strategy.core.StartStrategy;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;
import com.muyu.data.processing.mapper.DataProcessingMapper;
import com.muyu.data.processing.service.DataProcessingService;

import java.util.HashMap;
import java.util.List;

/**
 * 数据处理实现层
 *
 * @Author: 胡杨
 * @Name: DataProcessing
 * @Description: 数据处理实现层
 * @CreatedDate: 2024/9/28 下午3:52
 * @FilePath: com.muyu.data.processing.server.impl
 */

@Slf4j
@Service
public class DataProcessingServiceImpl implements DataProcessingService {
    @Resource
    private DataProcessingMapper mapper;
    @Resource
    private StartStrategy rootStrategy;


    @Override
    public List<String> selectStorageGroup() {
        return mapper.selectStorageGroup();
    }

    @Override
    public void strategyCheck(List<KafkaData> dataList) {
        HashMap<String, KafkaData> kafkaDataHashMap = new HashMap<>();
        dataList.forEach(data -> kafkaDataHashMap.put(data.getKey(), data));
//        Result<String[]> result = rootStrategy.applyStrategy(kafkaDataHashMap);
//        String[] data = result.getData();
//        insIotDbData(data[0],data[1]);
        IotDbData build = IotDbData.builder()
                .vin(kafkaDataHashMap.get("vin").getValue())
                .timestamp(Long.parseLong(kafkaDataHashMap.get("timestamp").getValue()))
                .latitude(kafkaDataHashMap.get("latitude").getValue())
                .longitude(kafkaDataHashMap.get("longitude").getValue())
                .build();
        mapper.insIotDbDataVo(build);
//        dataList.forEach(KafkaData::setValueClass);
//        mapper.strategyCheck(dataList);
    }

    @Override
    public Integer insIotDbData(String key, String value) {
        return mapper.insIotDbData(key, value);
    }


}
