package com.muyu.data.processing.strategy.branch;

import com.muyu.data.processing.domain.Temporary1;
import com.muyu.data.processing.domain.Temporary2;
import com.muyu.data.processing.strategy.StrategyHandler;
import com.muyu.data.processing.strategy.abstractStrategyRouter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 实时数据处理
 * 调整实时数据
 * @Author: 胡杨
 * @Name: FaultProcessingStrategy
 * @Description: 实时数据理
 * @CreatedDate: 2024/9/30 下午7:47
 * @FilePath: com.muyu.data.processing.strategy.branch
 */

@Slf4j
@Component
public class RealTimeProcessingStrategy extends abstractStrategyRouter<Temporary1, Temporary2>
        implements StrategyHandler<Temporary1, Temporary2> {
    @Override
    protected StrategyMapper<Temporary1, Temporary2> registerStrategy() {
        return param-> new RealTimeJudgmentStrategy();
    }

    @Override
    public Temporary2 apply(Temporary1 temporary1) {
        return applyStrategy(temporary1);
    }
}
