package com.muyu.data.processing.strategy.core;

import com.muyu.data.processing.domain.Temporary1;
import com.muyu.data.processing.domain.Temporary2;
import com.muyu.data.processing.strategy.StrategyHandler;
import com.muyu.data.processing.strategy.abstractStrategyRouter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 路由节点
 * 根据条件重新导向对应节点
 * @Author: 胡杨
 * @Name: RoutingStrategy
 * @Description: 路由节点
 * @CreatedDate: 2024/9/30 下午7:37
 * @FilePath: com.muyu.data.processing.strategy.branch
 */

@Slf4j
@Component
public class RoutingStrategy   extends abstractStrategyRouter<Temporary1, Temporary2>
        implements StrategyHandler<Temporary1, Temporary2> {
    @Override
    protected StrategyMapper<Temporary1, Temporary2> registerStrategy() {
        return new StrategyMapper<Temporary1, Temporary2>() {
            @Override
            public StrategyHandler<Temporary1, Temporary2> getHandler(Temporary1 param) {
                // 编写路由规则
                return null;
            }
        };
    }

    @Override
    public Temporary2 apply(Temporary1 temporary1) {
        return applyStrategy(temporary1);
    }
}
