package com.muyu.data.processing.strategy.leaves;

import com.muyu.data.processing.domain.Temporary1;
import com.muyu.data.processing.domain.Temporary2;
import com.muyu.data.processing.strategy.StrategyHandler;
import com.muyu.data.processing.strategy.abstractStrategyRouter;
import com.muyu.data.processing.strategy.core.RoutingStrategy;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 实时数据
 * 处理实时数据事件
 * @Author: 胡杨
 * @Name: BasicStrategy
 * @Description: 责任树 - 实时数据
 * @CreatedDate: 2024/9/30 下午7:24
 * @FilePath: com.muyu.data.processing.strategy.branch
 */

@Slf4j
@Component
public class RealTimeAlarmStrategy extends abstractStrategyRouter<Temporary1, Temporary2>
        implements StrategyHandler<Temporary1, Temporary2> {
    @Override
    protected StrategyMapper<Temporary1, Temporary2> registerStrategy() {
        return param -> new RoutingStrategy();
    }

    @Override
    public Temporary2 apply(Temporary1 temporary1) {
        return applyStrategy(temporary1);
    }
}
